Page MenuHomePhabricator

Generate Gather collections from the lists generated in T94732
Closed, ResolvedPublic5 Story Points

Description

Create a way to generate Gather Collections from static lists (probably config vars). Should be easy according to Sam. The generated collections should be ownerless and not editable.

Next, create actual Gather collections based on curated versions of the lists generated in T94732 (see T95457 for detail). JonK will provide the curated versions of the lists.

Story retold In list format:

  • Import the curated lists generated in T94732 into a config variable
  • Programmatically construct Gather lists using the config variable
  • Render the Gather list using the existing Gather rendering code

Curated lists can be found here--order is very important, top items should appear first in gather list: https://docs.google.com/a/wikimedia.org/spreadsheets/d/12xLXQsH1zcg6E8lDuSonumZNdBvfaBuHOS1a1TCASK4/edit#gid=342410038

Event Timeline

JKatzWMF created this task.Apr 8 2015, 5:49 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Readers-Web-Backlog.
JKatzWMF moved this task to 2015-16 Q3 on the Readers-Web-Backlog board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 5:49 PM
phuedx renamed this task from Placeholder [implement anonymous gather list] to (3) Generate Gather collections from the lists generated in T94732.Apr 9 2015, 3:44 PM
phuedx updated the task description. (Show Details)
phuedx set Security to None.
KLans_WMF edited a custom field.Apr 10 2015, 7:41 PM
KLans_WMF moved this task from 2015-16 Q3 to 2016-17 Q2 on the Readers-Web-Backlog board.
phuedx added a subscriber: phuedx.

This is now blocked on the creation of the special page for tags (T96015). It could be merged with it…

Regardless, now that this is no longer dependant on the Gather team, we're able to move ahead at full speed!

KLans_WMF renamed this task from (3) Generate Gather collections from the lists generated in T94732 to (5) Generate Gather collections from the lists generated in T94732.Apr 22 2015, 6:54 PM
KLans_WMF edited a custom field.
phuedx updated the task description. (Show Details)Apr 22 2015, 6:57 PM
kaldari updated the task description. (Show Details)Apr 22 2015, 7:04 PM
kaldari updated the task description. (Show Details)
KLans_WMF renamed this task from (5) Generate Gather collections from the lists generated in T94732 to Generate Gather collections from the lists generated in T94732.Apr 27 2015, 6:56 PM
KLans_WMF edited a custom field.

I see this as two separate tasks or patches: a) creating the config variable (in operations/mediawiki-config) with the data from the spreadsheet; b) adjusting the code to use the config variable.

phuedx claimed this task.May 6 2015, 8:55 AM
phuedx added a comment.EditedMay 6 2015, 11:51 AM

@bmansurov: Agreed. Your Special:TopicTag special page already satisfies the third AC.

Change 209224 had a related patch set uploaded (by Phuedx):
Generate Gather lists from static Browse lists

https://gerrit.wikimedia.org/r/209224

Change 209242 had a related patch set uploaded (by Phuedx):
Import lists for the Browse experiment on beta

https://gerrit.wikimedia.org/r/209242

Change 209224 merged by jenkins-bot:
Generate Gather lists from static Browse lists

https://gerrit.wikimedia.org/r/209224

First part is merged. 2nd part has a -1.

phuedx closed this task as Resolved.May 11 2015, 4:21 PM

I guess it's OK for me to sign this off as it's a technical task.

Change 209242 merged by jenkins-bot:
Import lists for the Browse experiment on beta

https://gerrit.wikimedia.org/r/209242